
package ub.scp2.entities;

/**
 *
 * FileSubmission.java -this class is an entity binded to the submission_file table from the database
 */
public class FileSubmission {
    
    private static final long serialVersionUID = 39225262111256743L;

    private Long fileId;
    private Submission submission;
    private String filename;
    private byte[] content;

    public FileSubmission() {
    }

    public FileSubmission(Submission submission, String filename) {
        this.submission = submission;
        this.filename = filename;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Submission getSubmission() {
        return submission;
    }

    public void setSubmission(Submission submission) {
        this.submission = submission;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public byte[] getContent() {
        return content;
    }

    public void setContent(byte[] content) {
        this.content = content;
    }
    
}
